Package: org.codehaus.groovy.ant

## [Java] Class UberCompileTask

- org.codehaus.groovy.ant.UberCompileTask

-     public class UberCompileTask
      extends Task

  Compiles Java and Groovy source files. This works by invoking the GenerateStubsTask task, then the Javac task and then the GroovycTask. Each task can be configured by creating a nested element. Common configuration such as the source dir and classpath is picked up from this tasks configuration.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Path` | `createClasspath()`
    `` | `public UberCompileTask.GenStubsAdapter` | `createGeneratestubs()`
    `` | `public UberCompileTask.GroovycAdapter` | `createGroovyc()`
    `` | `public UberCompileTask.JavacAdapter` | `createJavac()`
    `` | `public Path` | `createSrc()`
    `` | `public void` | `execute()`
    `` | `public Path` | `getClasspath()`
    `` | `public Path` | `getSrcdir()`
    `` | `public void` | `setClasspath(Path path)`
    `` | `public void` | `setClasspathRef(Reference r)`
    `` | `public void` | `setDestdir(File dir)`
    `` | `public void` | `setSrcdir(Path dir)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Task` | `log, log, log, log, init, execute, reconfigure, bindToOwner, perform, getTaskName, setTaskName, getTaskType, setTaskType, getOwningTarget, setOwningTarget, maybeConfigure, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, clone, getLocation, getDescription, getProject, setProject, setLocation, setDescription, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public Path createClasspath()

    - #### public UberCompileTask.GenStubsAdapter createGeneratestubs()

    - #### public UberCompileTask.GroovycAdapter createGroovyc()

    - #### public UberCompileTask.JavacAdapter createJavac()

    - #### public Path createSrc()

    - #### @Override
      public void execute()

    - #### public Path getClasspath()

    - #### public Path getSrcdir()

    - #### public void setClasspath(Path path)

    - #### public void setClasspathRef(Reference r)

    - #### public void setDestdir(File dir)

    - #### public void setSrcdir(Path dir)